MQ_GETSETATTR(2)

NAME
mq_getsetattr - get/set message queue attributes

SYNOPSIS
#include <sys/types.h>
#include <linux/unistd.h>
#include <errno.h>

_syscall3(mqd_t, mqdes, struct mq_attr *, newattr,
                 struct mq_attr *, oldattr);
        /* Or use syscall(2); see intro(2) */
mqd_t mq_getsetattr(mqd_t mqdes, struct mq_attr *newattr,
                 struct mq_attr *oldattr);

DESCRIPTION
Do not use this system call.

This is the low-level system call used to implement mq_getattr(3) and mq_setattr(3). For an explanation of how this system call operates, see the description of mq_setattr(3).

CONFORMING TO
This interface is non-standard; avoid its use.

SEE ALSO
mq_getattr(3), mq_overview(7)